%global cpan_version 0.5014

Summary:        Math::BigInt::Calc with some XS for more speed
Name:           perl-Math-BigInt-FastCalc
Version:        0.501.400
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Math-BigInt-FastCalc
Source0:        https://cpan.metacpan.org/authors/id/P/PJ/PJACKLAM/Math-BigInt-FastCalc-%{cpan_version}.tar.gz

BuildRequires:  gcc make coreutils findutils
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings)

# Run-time:
BuildRequires:  perl(Carp) perl(:VERSION) >= 5.6.1
BuildRequires:  perl(Math::BigInt::Calc) >= 1.999801
BuildRequires:  perl(XSLoader)
# Test:
BuildRequires:  perl(Math::BigFloat)
BuildRequires:  perl(Math::BigInt) >= 1.999831
BuildRequires:  perl(Test::More) >= 0.88


%description
This Math::BigInt::Calc module is a replacement library for Math::BigInt::Calc. 
It provides support for fast big integer calculations.

%prep
%autosetup -n Math-BigInt-FastCalc-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc CHANGES CREDITS README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Math*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.501.400-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.501.400-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.501.400-3
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.501.400-2
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Thu Aug 10 2023 rockerzhu <rockerzhu@tencent.com> - 0.501.400-1
- Upgrade to 0.5014 to fix test fails with Math-BigInt.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.501.300-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.501.300-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 15 2022 Cheng Xin <denisecheng@tencent.com> - 0.501.300-1
- package init.
